<template>
  <div>
    <template v-if="editing">
      <q-input
        v-if="editing"
        outlined
        bottom-slots
        dense
        placeholder="Presentación"
        :rules="[val => !!val || 'Campo es requerido.']"
        v-model="draft"
      >
        <template v-slot:append>
          <q-icon name="check" class="cursor-pointer" @click="add" />
          <q-icon name="delete" class="cursor-pointer" @click="destroy" />
        </template>
      </q-input>
    </template>
    <template v-else>
      <div>{{ draft }}<q-icon name="edit" class="cursor-pointer" @click="edit" />
          <q-icon name="delete" class="cursor-pointer" @click="destroy" /></div>
    </template>
  </div>
</template>

<script>
export default {
  props: ['presentation', 'index'],
  data () {
    return {
      editing: true,
      draft: this.presentation
    }
  },
  watch: {
    presentation: function (data) {
      this.draft = data
      this.editing = false
    }
  },
  methods: {
    add () {
      if (this.draft.length > 0) {
        this.$emit('add', { data: this.draft, index: this.index })
        this.editing = false
      }
    },
    edit () {
      this.editing = true
    },
    destroy () {
      this.$emit('destroy', this.index)
    }
  }
}
</script>
